Skip to main content
GET
/
v2
/
gigs
/
{id}
Retrieve a gig
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/gigs/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0187dbfa-6f5e-a33a-af26-7e12ff408fea",
  "account": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "employer": "GigAndGo",
  "created_at": "2023-03-08T08:31:37.037Z",
  "updated_at": "2023-03-08T08:31:37.037Z",
  "status": "completed",
  "type": "delivery",
  "task_count": 2,
  "start_datetime": "2023-03-08T08:08:57Z",
  "end_datetime": "2023-03-08T08:31:36Z",
  "all_datetimes": {
    "request_at": "2023-03-08T08:08:57Z",
    "accept_at": "2023-03-08T08:09:38Z",
    "pickup_at": "2023-03-08T08:12:57Z",
    "dropoff_at": "2023-03-08T08:31:36Z",
    "cancel_at": null,
    "shift_start": null,
    "shift_end": null,
    "breaks": []
  },
  "duration": 2659,
  "timezone": "America/New_York",
  "earning_type": "work",
  "start_location": {
    "lat": "40.65932120164202",
    "lng": "-73.8526246331782",
    "formatted_address": "201 North W St, New York, NY 10014, US"
  },
  "end_location": {
    "lat": "40.689177462234504",
    "lng": "-73.89453884284752",
    "formatted_address": "102 South E St, New York, NY 10002, US"
  },
  "task_details": {
    "events": [
      {
        "order_id": null,
        "sequence": "1",
        "type": "accept",
        "name": null,
        "formatted_address": "201 North W St, New York, NY 10014, US",
        "lat": "40.65932120164202",
        "lng": "-73.89453884284752",
        "datetime": "2023-03-08T08:09:38Z"
      },
      {
        "order_id": "1",
        "sequence": "2",
        "type": "pickup",
        "name": "Healthy Snacks",
        "formatted_address": "150 East N St, New York, NY 10014, US",
        "lat": "40.673422892136178",
        "lng": "-73.88931269893891",
        "datetime": "2023-03-08T08:12:57Z"
      },
      {
        "order_id": "2",
        "sequence": "3",
        "type": "pickup",
        "name": "Gourmet Desserts",
        "formatted_address": "182 East N St, New York, NY 10014, US",
        "lat": "40.673523811763259",
        "lng": "-73.86335212657626",
        "datetime": "2023-03-08T08:12:57Z"
      },
      {
        "order_id": null,
        "sequence": "4",
        "type": "dropoff",
        "name": null,
        "formatted_address": "102 South E St, New York, NY 10002, US",
        "lat": "40.689177462234504",
        "lng": "-73.89453884284752",
        "datetime": "2023-03-08T08:31:36Z"
      }
    ],
    "orders": [
      {
        "order_id": "1",
        "sequence": "1",
        "income": {
          "currency": "USD",
          "total_charge": "34.75",
          "customer_price": "26.38",
          "fees": "8.37",
          "total": "19.96",
          "pay": "22.28",
          "tips": null,
          "bonus": "0.00",
          "other": "-2.32"
        }
      },
      {
        "order_id": "2",
        "sequence": "2",
        "income": {
          "currency": "USD",
          "total_charge": "7.25",
          "customer_price": "7.25",
          "fees": null,
          "total": "4.30",
          "pay": "4.30",
          "tips": "0.00",
          "bonus": "0.00",
          "other": null
        }
      }
    ]
  },
  "distance": "1.80",
  "distance_unit": "miles",
  "metadata": {
    "income.other": {
      "name": "Taxes: Withholding tax",
      "value": "-15.32"
    }
  },
  "circumstances": {
    "is_pool": false,
    "is_rush": false,
    "is_surge": true,
    "service_type": "Comfort Ride",
    "position": null
  },
  "income": {
    "currency": "USD",
    "total_charge": "42.00",
    "customer_price": "33.68",
    "fees": "8.37",
    "total": "30.68",
    "pay": "26.58",
    "tips": "6.42",
    "bonus": "0.00",
    "other": "-2.32"
  },
  "income_rates": {
    "hour": "92.70",
    "mile": "20.20"
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the gig object to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the gig assignment.

account
string<uuid>

Unique ID of the account associated with the gig assignment.

employer
string

Employer name.

created_at
string<datetime>

Timestamp (ISO 8601) when the gig object was created.

updated_at
string<datetime>

Timestamp (ISO 8601) when a property value of the gig object most recently changed.

status
enum<string>

Current state of the gig assignment.

Available options:
scheduled,
in_progress,
completed,
cancelled
type
enum<string>

The type of gig assignment.

Available options:
delivery,
rideshare,
hourly,
services
task_count
integer

Number of discrete tasks in the gig assignment.

Note: When task_count is greater than 1 (e.g. two pickups in one delivery), the gig object contains aggregated values for the entire gig assignment. Individual task-level details can be found in the task_details object.

start_datetime
string<datetime>

Timestamp (ISO 8601) when the gig assignment started.

end_datetime
string<datetime>

Timestamp (ISO 8601) when the gig assignment ended.

all_datetimes
object

Other timestamps related to the gig assignment.

duration
integer

Total time of the gig assignment (in seconds).

timezone
string

Timezone (IANA) where the gig assignment took place.

earning_type
enum<string>

The earnings category.

Available options:
offer,
work,
incentive,
adjustment,
other
start_location
object

Starting location information for the gig assignment.

end_location
object

Ending location information for the gig assignment.

task_details
object

Task-level details for the gig assignment.

distance
string

Distance traveled during the gig assignment.

distance_unit
enum<string>

Unit of the distance traveled.

Available options:
miles,
km
metadata
object

Additional, non-categorized information.

circumstances
object

Metadata specific to the gig platform, such as whether the assignment occurred during peak hours.

income
object

Payment and earnings information for the gig assignment.

income_rates
object

Amount earned by the gig employee per hour or per mile.

Note: Values are not calculated, and are only returned if directly provided by the gig platform.